<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCard } from '~/models';

export default Vue.extend({
  name: 'SupportSolutions',
  props: {
    data: {
      type: Object as PropType<CtfCard>,
      required: true,
    },
  },
});
</script>

<template>
  <div class="support-solutions">
    <SlpContainer>
      <div class="support-section-icon slp-mb-16">
        <SlpIcon size="xl" :icon="data.iconName" />
      </div>
      <SlpRow>
        <SlpColumn :cols="6">
          <SlpTypography v-if="data.title" tag="h2" variant="heading2-bold">
            {{ data.title }}
          </SlpTypography>
        </SlpColumn>
      </SlpRow>

      <div
        v-if="data?.column2Description"
        class="support-solutions-list"
        v-html="$md.render(data.column2Description)"
      ></div>
      <SlpTypography
        v-if="data?.description"
        tag="div"
        variant="heading4-bold"
        class="slp-mt-48"
      >
        <div
          v-if="data?.description"
          class="support-section-content"
          v-html="$md.render(data.description)"
        ></div>
      </SlpTypography>

      <SlpButton
        variant="tertiary"
        class="card__link slp-mt-32"
        :href="data?.button?.fields?.externalUrl"
        :data-ga-name="data?.button?.fields?.dataGaName"
        :data-ga-location="data?.button?.fields?.dataGaLocation"
      >
        {{ data.button?.fields?.text }}
        <SlpIcon name="chevron-right" variant="product" />
      </SlpButton>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.support-solutions-list {
  :deep {
    ul {
      display: grid;
      grid-template-columns: repeat(1, 1fr);
      margin-top: 32px;
      grid-row-gap: 16px;
      @media (min-width: $breakpoint-md) {
        margin-top: 64px;
        grid-row-gap: 0;
        grid-column-gap: 16px;
        grid-template-columns: repeat(3, 1fr);
      }
    }
    li {
      padding: 32px 24px;
      border-radius: 8px;
      background-color: $color-surface-900;
      font-size: 24px;
      font-style: normal;
      font-weight: 600;
      line-height: 32px; /* 133.333% */
      letter-spacing: -0.72px;
      &:first-of-type {
        background-color: $color-surface-800;
      }
      &:last-of-type {
        background-color: $color-surface-950;
      }
    }
  }
}
.support-section-icon {
  background: linear-gradient(89deg, #eee7fd 3.12%, #ffe6e9 111.93%);
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 96px;
  width: 96px;
  padding: 16px;
  &:deep {
    .slp-icon {
      width: 100%;
      height: 100%;
    }
  }
}
</style>
